## public static Condorcet::getAuthMethods

### Description    

```php
public static Condorcet::getAuthMethods ( [bool $basic = false] ): array
```

Get a list of supported algorithm.
    

##### **basic:** *```bool```*   
Include or not the natural Condorcet base algorithm.    


### Return value:   

*(```array```)* Populated by method string name. You can use it on getResult ... and others methods.


---------------------------------------

### Related method(s)      

* [static Condorcet::isAuthMethod](../Condorcet%20Class/public%20static%20Condorcet--isAuthMethod.md)    
* [static Condorcet::getMethodClass](../Condorcet%20Class/public%20static%20Condorcet--getMethodClass.md)    
